Name:           perl-SNMP-Info
Version:        3.24
Release:        1%{?dist}
Summary:        Object Oriented Perl5 Interface to Network devices and MIBs through SNMP
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SNMP-Info/
Source0:        http://search.cpan.org/CPAN/authors/id/O/OL/OLIVER/SNMP-Info-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(SNMP)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
SNMP::Info gives an object oriented interface to information obtained
through SNMP.

%prep
%setup -q -n SNMP-Info-%{version}
/usr/bin/iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && /bin/mv -f ChangeLog.conv ChangeLog
/usr/bin/iconv -f iso8859-1 -t utf-8 README > README.conv && /bin/mv -f README.conv README
/usr/bin/iconv -f iso8859-1 -t utf-8 Info.pm > Info.pm.conv && /bin/mv -f Info.pm.conv Info.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license COPYRIGHT
%doc ChangeLog DeviceMatrix.txt README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Feb 08 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.24-1
- Update to 3.24 (RHBZ #1190423)

* Wed Dec 10 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.23-1
- Update to 3.23 (RHBZ #1172631)

* Sat Dec 06 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.22-1
- Update to 3.22 (RHBZ #1171044)
- Use %%license macro
- Remove explicit BuildRoot definition
- Remove "rm -rf buildroot" cruft

* Wed Sep 10 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.20-1
- Update to 3.20 (RHBZ #1125871)

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 3.18-2
- Perl 5.20 rebuild

* Sun Jul 06 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.18-1
- Update to 3.18 (RHBZ #1116607)

* Mon Jun 30 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.17-1
- Update to 3.17 (RHBZ #1114330)

* Wed Jun 11 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.15-1
- Update to 3.15 (RHBZ #1105811)
- rm %%defattr

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 03 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.13-1
- Update to 3.13 (RHBZ #1082309)

* Tue Feb 11 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.12-1
- Update to 3.12 (RHBZ #1063776)

* Wed Feb 05 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.11-1
- Update to 3.11 (RHBZ #1059639)

* Mon Dec 23 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.10-1
- Update to 3.10 (RHBZ #1044434)

* Wed Oct 23 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.08-1
- Update to 3.08 (RHBZ #1022681)

* Thu Oct 03 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 3.07-1
- Update to 3.07

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 2.11-3
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 26 2012 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.11-1
- upgrade to 2.11

* Thu Dec 06 2012 Ken Dreyer <ktdreyer@ktdreyer.com> - 2.09-1
- upgrade to 2.09

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.06-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 2.06-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 06 2011 <walt@gouldfamily.org> 2.06-1
- upgrade to 2.06
* Thu Jun 18 2009 <walt@gouldfamily.org> 2.01-1
- upgrade to 2.01
